QTLtools-gwas(1)

NAME
QTLtools gwas - Genome-wide association tests

SYNOPSIS
QTLtools gwas --vcf [in.vcf|in.vcf.gz|in.bcf|in.bed.gz] --bed quantifications.bed.gz --out output.txt [OPTIONS]

DESCRIPTION
This mode runs a linear regression with every genotype vs. every phenotype.

OPTIONS

--vcf [in.vcf|in.bcf|in.vcf.gz|in.bed.gz] ...
    Genotypes in VCF/BCF/BED format. The DS field in the genotype FORMAT of a variant (dosage of the genotype calculated from genotype probabilities, e.g. after imputation) is REQUIRED. REQUIRED.

--bed quantifications.bed.gz ...
    Molecular phenotype quantifications in BED format. REQUIRED.

--out filename.txt
    The output file name. REQUIRED.

--cov covariates.txt
    Covariates to correct the phenotype data with.

--normal
    Rank normal transform the phenotype data so that each phenotype is normally distributed. RECOMMENDED.

OUTPUT FILE

output file
    Space separated output file with the following columns.
    1 | The phenotype ID
    2 | The variant's chromosome
    3 | The variants's start position
    3.1 | The variant's end position. Only printed if a BED file is supplied to --vcf
    4 | The variant's ID
    5 | The p-value
    6 | The correlation coefficient

EXAMPLE

o   Run the association between all the variants and phenotypes, correcting the phenotypes with technical covariates and normal transforming them:

    QTLtools gwas --bed quantifications.bed.gz --vcf genotypes.bcf --cov covariates.txt --normal --out gwas_results.txt

SEE ALSO
QTLtools(1)

QTLtools website: <https://qtltools.github.io/qtltools>

BUGS
Versions up to and including 1.2, suffer from a bug in reading missing genotypes in VCF/BCF files. This bug affects variants with a DS field in their genotype's FORMAT and have a missing genotype (DS field is .) in one of the samples, in which case genotypes for all the samples are set to missing, effectively removing this variant from the analyses.

Please submit bugs to <https://github.com/qtltools/qtltools>

CITATION
Delaneau O., Ongen H., Brown A. A., et al. A complete tool set for molecular QTL discovery and analysis. Nat Commun 8, 15452 (2017). <https://doi.org/10.1038/ncomms15452>

AUTHORS
Olivier Delaneau (olivier.delaneau@gmail.com), Halit Ongen (halitongen@gmail.com)